%global momorel 2
%global prever 6
%global betaver 1
%global qtver 4.6.3
%global kdever 4.4.5
%global kdelibsrel 1m

Summary: The KDE Cookbook
Name: krecipes
Version: 2.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPLv2 and LGPLv2
Group: Applications/Productivity
URL: http://krecipes.sourceforge.net/
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{version}-beta%{betaver}/%{name}-%{version}-beta%{betaver}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: shared-mime-info
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: libacl-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: sqlite-devel

%description
Krecipes is a program that lets you to manage your recipes, create
shopping lists, choose a recipe based on available ingredients and plan
your menu/diet in advance.

%prep
%setup -q -n %{name}-%{version}-beta%{betaver}

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-category=X-KDE-More \
  --add-category=Utility \
  %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING* ChangeLog INSTALL KRAZY README TODO
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}
%{_kde4_docdir}/HTML/*/%{name}
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde4_iconsdir}/oxygen/*/actions/*.png
%{_kde4_iconsdir}/oxygen/*/mimetypes/*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-0.6.2m)
- full rebuild for mo7 release

* Wed Jul  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.6.1m)
- update to 2.0 beta1

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.5.3m)
- rebuild against qt-4.6.3-1m

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.5.2m)
- touch up spec file

* Mon Jan 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.5.1m)
- update to 2.0 alpha6

* Sun Jan 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.4.1m)
- update to 2.0 alpha5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-0.3.2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.3.1m)
- update to 2.0 alpha4

* Sat Oct 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.2.1m)
- update to 2.0 alpha3

* Sun Sep 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.1.1m)
- update to version 2.0 alpha2
- update desktop.patch
- remove gcc43.patch and automake111.patch
- good-bye KDE3

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20080104.8m)
- fix build with new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-0.20080104.7m)
- rebuild against rpm-4.6

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20080104.6m)
- revise %%{_docdir}/HTML/*/krecipes/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20080104.5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.20080104.4m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-0.20080104.3m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.20080104.2m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Fri Jan  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20080104.1m)
- update to 20080104 svn snapshot
- License: GPLv2

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.1m)
- initial package for Momonga Linux
